//
// Created by slinky on 5/11/26.
//

#ifndef B_ENGINE_FREECAMERACONTROLLER_H
#define B_ENGINE_FREECAMERACONTROLLER_H

#include "Camera.h"
#include "EditorContext.h"

class FreeCameraController {
public:
    FreeCameraController() = default;

    void update(EditorContext& ctx);
    void on_mouse_delta(float xoff, float yoff) const;

    void set_camera(Camera& c);
    void release_camera();

    float movement_speed = .01;
    float look_sensitivity = .01;
private:
    Camera* camera {nullptr};

    bool checkInput = false;
};


#endif //B_ENGINE_FREECAMERACONTROLLER_H
